Add the CONFIG_ROMS config variable. 

Tested under abuild, causes no trouble. 

Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>
Index: src/mainboard/iwill/dk8_htx/Options.lb
===================================================================
--- src/mainboard/iwill/dk8_htx/Options.lb	(revision 4034)
+++ src/mainboard/iwill/dk8_htx/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -330,4 +331,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/iwill/dk8s2/Options.lb
===================================================================
--- src/mainboard/iwill/dk8s2/Options.lb	(revision 4034)
+++ src/mainboard/iwill/dk8s2/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,4 +228,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/iwill/dk8x/Options.lb
===================================================================
--- src/mainboard/iwill/dk8x/Options.lb	(revision 4034)
+++ src/mainboard/iwill/dk8x/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -226,4 +227,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/axus/tc320/Options.lb
===================================================================
--- src/mainboard/axus/tc320/Options.lb	(revision 4034)
+++ src/mainboard/axus/tc320/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -102,4 +103,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 6
 default MAXIMUM_CONSOLE_LOGLEVEL = 6
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/bcom/winnetp680/Options.lb
===================================================================
--- src/mainboard/bcom/winnetp680/Options.lb	(revision 4034)
+++ src/mainboard/bcom/winnetp680/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -103,5 +104,10 @@
 ##
 default CONFIG_MAX_PCI_BUSES = 3
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/bcom/winnet100/Options.lb
===================================================================
--- src/mainboard/bcom/winnet100/Options.lb	(revision 4034)
+++ src/mainboard/bcom/winnet100/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -102,4 +103,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 6
 default MAXIMUM_CONSOLE_LOGLEVEL = 6
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/televideo/tc7020/Options.lb
===================================================================
--- src/mainboard/televideo/tc7020/Options.lb	(revision 4034)
+++ src/mainboard/televideo/tc7020/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -103,4 +104,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 6
 default MAXIMUM_CONSOLE_LOGLEVEL = 6
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/broadcom/blast/Options.lb
===================================================================
--- src/mainboard/broadcom/blast/Options.lb	(revision 4034)
+++ src/mainboard/broadcom/blast/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses USE_FALLBACK_IMAGE
@@ -264,4 +265,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/thomson/ip1000/Options.lb
===================================================================
--- src/mainboard/thomson/ip1000/Options.lb	(revision 4034)
+++ src/mainboard/thomson/ip1000/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses CC
+uses CONFIG_ROMFS
 uses CONFIG_CONSOLE_SERIAL8250
 uses CONFIG_CONSOLE_VGA
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
@@ -92,4 +93,9 @@
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 default MAINBOARD_VENDOR = "THOMSON"
 default MAINBOARD_PART_NUMBER = "IP1000"
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/supermicro/x6dai_g/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dai_g/Options.lb	(revision 4034)
+++ src/mainboard/supermicro/x6dai_g/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,5 +228,10 @@
 
 
 ### End Options.lb
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/supermicro/h8dmr/Options.lb
===================================================================
--- src/mainboard/supermicro/h8dmr/Options.lb	(revision 4034)
+++ src/mainboard/supermicro/h8dmr/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ## 
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -350,4 +351,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/supermicro/x6dhe_g/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhe_g/Options.lb	(revision 4034)
+++ src/mainboard/supermicro/x6dhe_g/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,5 +228,10 @@
 
 
 ### End Options.lb
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/supermicro/x6dhe_g2/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/Options.lb	(revision 4034)
+++ src/mainboard/supermicro/x6dhe_g2/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,5 +228,10 @@
 
 
 ### End Options.lb
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/supermicro/x6dhr_ig/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhr_ig/Options.lb	(revision 4034)
+++ src/mainboard/supermicro/x6dhr_ig/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,4 +228,9 @@
 
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/supermicro/x6dhr_ig2/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhr_ig2/Options.lb	(revision 4034)
+++ src/mainboard/supermicro/x6dhr_ig2/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,4 +228,9 @@
 
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/a-trend/atc-6240/Options.lb
===================================================================
--- src/mainboard/a-trend/atc-6240/Options.lb	(revision 4034)
+++ src/mainboard/a-trend/atc-6240/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/a-trend/atc-6220/Options.lb
===================================================================
--- src/mainboard/a-trend/atc-6220/Options.lb	(revision 4034)
+++ src/mainboard/a-trend/atc-6220/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/kontron/986lcd-m/Options.lb
===================================================================
--- src/mainboard/kontron/986lcd-m/Options.lb	(revision 4034)
+++ src/mainboard/kontron/986lcd-m/Options.lb	(working copy)
@@ -72,6 +72,8 @@
 uses MMCONF_SUPPORT
 uses MMCONF_BASE_ADDRESS
 uses CONFIG_GFXUMA
+uses CONFIG_ROMFS
+
 #
 uses MAINBOARD
 uses MAINBOARD_PART_NUMBER
@@ -327,6 +329,10 @@
 ##
 default  CONFIG_CHIP_NAME=1
 
+#
+# ROMFS
+# 
+default CONFIG_ROMFS=0
 
 ### End Options.lb
 end
Index: src/mainboard/gigabyte/m57sli/Options.lb
===================================================================
--- src/mainboard/gigabyte/m57sli/Options.lb	(revision 4034)
+++ src/mainboard/gigabyte/m57sli/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ## 
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -359,4 +360,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/gigabyte/ga_2761gxdk/Options.lb
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Options.lb	(revision 4034)
+++ src/mainboard/gigabyte/ga_2761gxdk/Options.lb	(working copy)
@@ -22,6 +22,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -355,4 +356,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/gigabyte/ga-6bxc/Options.lb
===================================================================
--- src/mainboard/gigabyte/ga-6bxc/Options.lb	(revision 4034)
+++ src/mainboard/gigabyte/ga-6bxc/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/digitallogic/msm800sev/Options.lb
===================================================================
--- src/mainboard/digitallogic/msm800sev/Options.lb	(revision 4034)
+++ src/mainboard/digitallogic/msm800sev/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -177,5 +178,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/digitallogic/adl855pc/Options.lb
===================================================================
--- src/mainboard/digitallogic/adl855pc/Options.lb	(revision 4034)
+++ src/mainboard/digitallogic/adl855pc/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -112,6 +113,11 @@
 default CC="$(CROSS_COMPILE)gcc -m32"
 default HOSTCC="gcc"
 
-end
 
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
+end
Index: src/mainboard/digitallogic/msm586seg/Options.lb
===================================================================
--- src/mainboard/digitallogic/msm586seg/Options.lb	(revision 4034)
+++ src/mainboard/digitallogic/msm586seg/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -120,6 +121,11 @@
 default CC="$(CROSS_COMPILE)gcc -m32"
 default HOSTCC="gcc"
 
-end
 
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
+end
Index: src/mainboard/motorola/sandpoint/Options.lb
===================================================================
--- src/mainboard/motorola/sandpoint/Options.lb	(revision 4034)
+++ src/mainboard/motorola/sandpoint/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses CONFIG_SANDPOINT_ALTIMUS
+uses CONFIG_ROMFS
 uses CONFIG_SANDPOINT_TALUS
 uses CONFIG_SANDPOINT_UNITY
 uses CONFIG_SANDPOINT_VALIS
@@ -119,4 +120,9 @@
 default CONFIG_SANDPOINT_ALTIMUS=1
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb
===================================================================
--- src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb	(revision 4034)
+++ src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses ISA_IO_BASE
+uses CONFIG_ROMFS
 uses ISA_MEM_BASE
 uses PCIC0_CFGADDR
 uses PCIC0_CFGDATA
@@ -114,4 +115,9 @@
 default _RAMSTART=0x00100000
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/olpc/btest/Options.lb
===================================================================
--- src/mainboard/olpc/btest/Options.lb	(revision 4034)
+++ src/mainboard/olpc/btest/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -159,5 +160,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/olpc/rev_a/Options.lb
===================================================================
--- src/mainboard/olpc/rev_a/Options.lb	(revision 4034)
+++ src/mainboard/olpc/rev_a/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -159,5 +160,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/emulation/qemu-x86/Options.lb
===================================================================
--- src/mainboard/emulation/qemu-x86/Options.lb	(revision 4034)
+++ src/mainboard/emulation/qemu-x86/Options.lb	(working copy)
@@ -43,10 +43,14 @@
 
 uses DEFAULT_CONSOLE_LOGLEVEL
 uses MAXIMUM_CONSOLE_LOGLEVEL
+uses CONFIG_ROMFS
 
+
 default CONFIG_CONSOLE_SERIAL8250=1
 default DEFAULT_CONSOLE_LOGLEVEL=8
 default MAXIMUM_CONSOLE_LOGLEVEL=8
+default CONFIG_ROMFS=0
+
 ## ROM_SIZE is the size of boot ROM that this board will use.
 default ROM_SIZE  = 256*1024
 
Index: src/mainboard/technologic/ts5300/Options.lb
===================================================================
--- src/mainboard/technologic/ts5300/Options.lb	(revision 4034)
+++ src/mainboard/technologic/ts5300/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -138,6 +139,11 @@
 
 default CONFIG_CHIP_NAME = 1
 
-end
 
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
+end
Index: src/mainboard/amd/pistachio/Options.lb
===================================================================
--- src/mainboard/amd/pistachio/Options.lb	(revision 4034)
+++ src/mainboard/amd/pistachio/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses USE_FALLBACK_IMAGE
@@ -303,4 +304,9 @@
 default HAVE_MAINBOARD_RESOURCES=1
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/amd/dbm690t/Options.lb
===================================================================
--- src/mainboard/amd/dbm690t/Options.lb	(revision 4034)
+++ src/mainboard/amd/dbm690t/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses USE_FALLBACK_IMAGE
@@ -303,4 +304,9 @@
 default HAVE_MAINBOARD_RESOURCES=1
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/amd/rumba/Options.lb
===================================================================
--- src/mainboard/amd/rumba/Options.lb	(revision 4034)
+++ src/mainboard/amd/rumba/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -158,5 +159,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/amd/serengeti_cheetah/Options.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Options.lb	(revision 4034)
+++ src/mainboard/amd/serengeti_cheetah/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -331,4 +332,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/amd/norwich/Options.lb
===================================================================
--- src/mainboard/amd/norwich/Options.lb	(revision 4034)
+++ src/mainboard/amd/norwich/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -177,5 +178,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/amd/serengeti_cheetah_fam10/Options.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Options.lb	(revision 4034)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Options.lb	(working copy)
@@ -18,6 +18,7 @@
 #
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -366,4 +367,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/amd/db800/Options.lb
===================================================================
--- src/mainboard/amd/db800/Options.lb	(revision 4034)
+++ src/mainboard/amd/db800/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -177,5 +178,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/biostar/m6tba/Options.lb
===================================================================
--- src/mainboard/biostar/m6tba/Options.lb	(revision 4034)
+++ src/mainboard/biostar/m6tba/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/rca/rm4100/Options.lb
===================================================================
--- src/mainboard/rca/rm4100/Options.lb	(revision 4034)
+++ src/mainboard/rca/rm4100/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses CC
+uses CONFIG_ROMFS
 uses CONFIG_CONSOLE_SERIAL8250
 uses CONFIG_CONSOLE_VGA
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
@@ -92,4 +93,9 @@
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 default MAINBOARD_VENDOR = "RCA"
 default MAINBOARD_PART_NUMBER = "RM4100"
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/azza/pt-6ibd/Options.lb
===================================================================
--- src/mainboard/azza/pt-6ibd/Options.lb	(revision 4034)
+++ src/mainboard/azza/pt-6ibd/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/nec/powermate2000/Options.lb
===================================================================
--- src/mainboard/nec/powermate2000/Options.lb	(revision 4034)
+++ src/mainboard/nec/powermate2000/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -95,4 +96,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/iei/nova4899r/Options.lb
===================================================================
--- src/mainboard/iei/nova4899r/Options.lb	(revision 4034)
+++ src/mainboard/iei/nova4899r/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -171,5 +172,10 @@
 
 default CONFIG_VIDEO_MB = 0
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/iei/pcisa-lx-800-r10/Options.lb
===================================================================
--- src/mainboard/iei/pcisa-lx-800-r10/Options.lb	(revision 4034)
+++ src/mainboard/iei/pcisa-lx-800-r10/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -103,5 +104,10 @@
 default DEFAULT_CONSOLE_LOGLEVEL=8
 default MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/iei/juki-511p/Options.lb
===================================================================
--- src/mainboard/iei/juki-511p/Options.lb	(revision 4034)
+++ src/mainboard/iei/juki-511p/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -144,5 +145,10 @@
 
 default CONFIG_VIDEO_MB = 0
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/tyan/s2912/Options.lb
===================================================================
--- src/mainboard/tyan/s2912/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2912/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -355,4 +356,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2850/Options.lb
===================================================================
--- src/mainboard/tyan/s2850/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2850/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -249,4 +250,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2735/Options.lb
===================================================================
--- src/mainboard/tyan/s2735/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2735/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -255,4 +256,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2880/Options.lb
===================================================================
--- src/mainboard/tyan/s2880/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2880/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -249,4 +250,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s1846/Options.lb
===================================================================
--- src/mainboard/tyan/s1846/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s1846/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -97,4 +98,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2881/Options.lb
===================================================================
--- src/mainboard/tyan/s2881/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2881/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -266,4 +267,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2882/Options.lb
===================================================================
--- src/mainboard/tyan/s2882/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2882/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -249,4 +250,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2891/Options.lb
===================================================================
--- src/mainboard/tyan/s2891/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2891/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -305,4 +306,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s4880/Options.lb
===================================================================
--- src/mainboard/tyan/s4880/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s4880/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -258,4 +259,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2892/Options.lb
===================================================================
--- src/mainboard/tyan/s2892/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2892/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -293,4 +294,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2875/Options.lb
===================================================================
--- src/mainboard/tyan/s2875/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2875/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -250,4 +251,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s4882/Options.lb
===================================================================
--- src/mainboard/tyan/s4882/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s4882/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -257,4 +258,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2885/Options.lb
===================================================================
--- src/mainboard/tyan/s2885/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2885/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -276,4 +277,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2895/Options.lb
===================================================================
--- src/mainboard/tyan/s2895/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2895/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -315,4 +316,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/tyan/s2912_fam10/Options.lb
===================================================================
--- src/mainboard/tyan/s2912_fam10/Options.lb	(revision 4034)
+++ src/mainboard/tyan/s2912_fam10/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -363,4 +364,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/pcengines/alix1c/Options.lb
===================================================================
--- src/mainboard/pcengines/alix1c/Options.lb	(revision 4034)
+++ src/mainboard/pcengines/alix1c/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -195,5 +196,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/artecgroup/dbe61/Options.lb
===================================================================
--- src/mainboard/artecgroup/dbe61/Options.lb	(revision 4034)
+++ src/mainboard/artecgroup/dbe61/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -177,5 +178,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/asi/mb_5blgp/Options.lb
===================================================================
--- src/mainboard/asi/mb_5blgp/Options.lb	(revision 4034)
+++ src/mainboard/asi/mb_5blgp/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -102,4 +103,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 9
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asi/mb_5blmp/Options.lb
===================================================================
--- src/mainboard/asi/mb_5blmp/Options.lb	(revision 4034)
+++ src/mainboard/asi/mb_5blmp/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_PIRQ_TABLE
+uses CONFIG_ROMFS
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
 uses HAVE_HARD_RESET
@@ -160,5 +161,10 @@
 # default CONFIG_PCI_ROM_RUN=1
 default CONFIG_VIDEO_MB = 0
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/via/epia-m/Options.lb
===================================================================
--- src/mainboard/via/epia-m/Options.lb	(revision 4034)
+++ src/mainboard/via/epia-m/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -141,5 +142,10 @@
 default  DEFAULT_CONSOLE_LOGLEVEL=8
 default  CONFIG_CONSOLE_SERIAL8250=1
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/via/epia-cn/Options.lb
===================================================================
--- src/mainboard/via/epia-cn/Options.lb	(revision 4034)
+++ src/mainboard/via/epia-cn/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -104,5 +105,10 @@
 ##
 default CONFIG_MAX_PCI_BUSES = 3
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/via/epia/Options.lb
===================================================================
--- src/mainboard/via/epia/Options.lb	(revision 4034)
+++ src/mainboard/via/epia/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses MAXIMUM_CONSOLE_LOGLEVEL
+uses CONFIG_ROMFS
 uses DEFAULT_CONSOLE_LOGLEVEL
 uses CONFIG_CONSOLE_SERIAL8250
 uses TTYS0_BAUD
@@ -142,5 +143,10 @@
 default HOSTCC="gcc"
 
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/via/pc2500e/Options.lb
===================================================================
--- src/mainboard/via/pc2500e/Options.lb	(revision 4034)
+++ src/mainboard/via/pc2500e/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses CONFIG_SMP
+uses CONFIG_ROMFS
 uses HAVE_MP_TABLE
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
@@ -112,5 +113,10 @@
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 default DEFAULT_CONSOLE_LOGLEVEL = 9
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/abit/be6-ii_v2_0/Options.lb
===================================================================
--- src/mainboard/abit/be6-ii_v2_0/Options.lb	(revision 4034)
+++ src/mainboard/abit/be6-ii_v2_0/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -97,4 +98,9 @@
 default CONFIG_CONSOLE_VGA = 1		# Override this in targets/*/Config.lb.
 default CONFIG_PCI_ROM_RUN = 1		# Override this in targets/*/Config.lb.
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/lippert/roadrunner-lx/Options.lb
===================================================================
--- src/mainboard/lippert/roadrunner-lx/Options.lb	(revision 4034)
+++ src/mainboard/lippert/roadrunner-lx/Options.lb	(working copy)
@@ -21,6 +21,7 @@
 ## Based on Options.lb from AMD's DB800 mainboard.
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -208,4 +209,9 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL = 8
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/lippert/frontrunner/Options.lb
===================================================================
--- src/mainboard/lippert/frontrunner/Options.lb	(revision 4034)
+++ src/mainboard/lippert/frontrunner/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -158,5 +159,10 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL=8
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/lippert/spacerunner-lx/Options.lb
===================================================================
--- src/mainboard/lippert/spacerunner-lx/Options.lb	(revision 4034)
+++ src/mainboard/lippert/spacerunner-lx/Options.lb	(working copy)
@@ -21,6 +21,7 @@
 ## Based on Options.lb from AMD's DB800 mainboard.
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -208,4 +209,9 @@
 ## At a maximum only compile in this level of debugging
 default  MAXIMUM_CONSOLE_LOGLEVEL = 8
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/dell/s1850/Options.lb
===================================================================
--- src/mainboard/dell/s1850/Options.lb	(revision 4034)
+++ src/mainboard/dell/s1850/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -227,4 +228,9 @@
 
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/compaq/deskpro_en_sff_p600/Options.lb
===================================================================
--- src/mainboard/compaq/deskpro_en_sff_p600/Options.lb	(revision 4034)
+++ src/mainboard/compaq/deskpro_en_sff_p600/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/totalimpact/briq/Options.lb
===================================================================
--- src/mainboard/totalimpact/briq/Options.lb	(revision 4034)
+++ src/mainboard/totalimpact/briq/Options.lb	(working copy)
@@ -3,6 +3,7 @@
 ##
 
 uses TTYS0_DIV
+uses CONFIG_ROMFS
 uses TTYS0_BASE
 uses CONFIG_BRIQ_750FX
 uses CONFIG_BRIQ_7400
@@ -119,4 +120,9 @@
 #default CONFIG_BRIQ_7400=1
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms7135/Options.lb
===================================================================
--- src/mainboard/msi/ms7135/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms7135/Options.lb	(working copy)
@@ -21,6 +21,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses USE_FAILOVER_IMAGE
@@ -321,4 +322,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms6119/Options.lb
===================================================================
--- src/mainboard/msi/ms6119/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms6119/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms6147/Options.lb
===================================================================
--- src/mainboard/msi/ms6147/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms6147/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms9282/Options.lb
===================================================================
--- src/mainboard/msi/ms9282/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms9282/Options.lb	(working copy)
@@ -23,6 +23,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -312,4 +313,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms6178/Options.lb
===================================================================
--- src/mainboard/msi/ms6178/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms6178/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -95,4 +96,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms9185/Options.lb
===================================================================
--- src/mainboard/msi/ms9185/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms9185/Options.lb	(working copy)
@@ -23,6 +23,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -332,4 +333,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/msi/ms7260/Options.lb
===================================================================
--- src/mainboard/msi/ms7260/Options.lb	(revision 4034)
+++ src/mainboard/msi/ms7260/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses USE_FAILOVER_IMAGE
@@ -187,4 +188,9 @@
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL = "MAINBOARD_POWER_ON"
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/arima/hdama/Options.lb
===================================================================
--- src/mainboard/arima/hdama/Options.lb	(revision 4034)
+++ src/mainboard/arima/hdama/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -241,4 +242,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/sunw/ultra40/Options.lb
===================================================================
--- src/mainboard/sunw/ultra40/Options.lb	(revision 4034)
+++ src/mainboard/sunw/ultra40/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -281,4 +282,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/embeddedplanet/ep405pc/Options.lb
===================================================================
--- src/mainboard/embeddedplanet/ep405pc/Options.lb	(revision 4034)
+++ src/mainboard/embeddedplanet/ep405pc/Options.lb	(working copy)
@@ -3,6 +3,7 @@
 ##
 
 uses PCIC0_CFGADDR 
+uses CONFIG_ROMFS
 uses PCIC0_CFGDATA 
 uses ISA_IO_BASE 
 uses ISA_MEM_BASE 
@@ -140,4 +141,9 @@
 default _RAMBASE=0x00100000
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/advantech/pcm-5820/Options.lb
===================================================================
--- src/mainboard/advantech/pcm-5820/Options.lb	(revision 4034)
+++ src/mainboard/advantech/pcm-5820/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -102,4 +103,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 9
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/eaglelion/5bcm/Options.lb
===================================================================
--- src/mainboard/eaglelion/5bcm/Options.lb	(revision 4034)
+++ src/mainboard/eaglelion/5bcm/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -163,5 +164,10 @@
 
 default CONFIG_VIDEO_MB = 0
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/newisys/khepri/Options.lb
===================================================================
--- src/mainboard/newisys/khepri/Options.lb	(revision 4034)
+++ src/mainboard/newisys/khepri/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -248,4 +249,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/jetway/j7f24/Options.lb
===================================================================
--- src/mainboard/jetway/j7f24/Options.lb	(revision 4034)
+++ src/mainboard/jetway/j7f24/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -104,5 +105,10 @@
 ##
 default CONFIG_MAX_PCI_BUSES = 3
 
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/ibm/e326/Options.lb
===================================================================
--- src/mainboard/ibm/e326/Options.lb	(revision 4034)
+++ src/mainboard/ibm/e326/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -226,4 +227,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/ibm/e325/Options.lb
===================================================================
--- src/mainboard/ibm/e325/Options.lb	(revision 4034)
+++ src/mainboard/ibm/e325/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -220,4 +221,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/nvidia/l1_2pvv/Options.lb
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Options.lb	(revision 4034)
+++ src/mainboard/nvidia/l1_2pvv/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses HAVE_ACPI_TABLES
 uses ACPI_SSDTX_NUM
@@ -353,4 +354,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/intel/xe7501devkit/Options.lb
===================================================================
--- src/mainboard/intel/xe7501devkit/Options.lb	(revision 4034)
+++ src/mainboard/intel/xe7501devkit/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_ACPI_TABLES
 uses HAVE_PIRQ_TABLE
 uses HAVE_FALLBACK_BOOT
@@ -240,4 +241,9 @@
 default CONFIG_CHIP_NAME=1
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/intel/truxton/Options.lb
===================================================================
--- src/mainboard/intel/truxton/Options.lb	(revision 4034)
+++ src/mainboard/intel/truxton/Options.lb	(working copy)
@@ -18,6 +18,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -224,6 +225,11 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
-end
 
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
+end
Index: src/mainboard/intel/mtarvon/Options.lb
===================================================================
--- src/mainboard/intel/mtarvon/Options.lb	(revision 4034)
+++ src/mainboard/intel/mtarvon/Options.lb	(working copy)
@@ -18,6 +18,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -224,4 +225,9 @@
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL="MAINBOARD_POWER_ON"
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/intel/jarrell/Options.lb
===================================================================
--- src/mainboard/intel/jarrell/Options.lb	(revision 4034)
+++ src/mainboard/intel/jarrell/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -241,4 +242,9 @@
 
 
 ### End Options.lb
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/mew-am/Options.lb
===================================================================
--- src/mainboard/asus/mew-am/Options.lb	(revision 4034)
+++ src/mainboard/asus/mew-am/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1		# Override this in targets/*/Config.lb.
 default CONFIG_PCI_ROM_RUN = 1		# Override this in targets/*/Config.lb.
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/p2b/Options.lb
===================================================================
--- src/mainboard/asus/p2b/Options.lb	(revision 4034)
+++ src/mainboard/asus/p2b/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -97,4 +98,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/p2b-f/Options.lb
===================================================================
--- src/mainboard/asus/p2b-f/Options.lb	(revision 4034)
+++ src/mainboard/asus/p2b-f/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/a8v-e_se/Options.lb
===================================================================
--- src/mainboard/asus/a8v-e_se/Options.lb	(revision 4034)
+++ src/mainboard/asus/a8v-e_se/Options.lb	(working copy)
@@ -18,6 +18,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -167,4 +168,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 8
 default MAXIMUM_CONSOLE_LOGLEVEL = 8
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL = "MAINBOARD_POWER_ON"
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/p3b-f/Options.lb
===================================================================
--- src/mainboard/asus/p3b-f/Options.lb	(revision 4034)
+++ src/mainboard/asus/p3b-f/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -96,4 +97,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/p2b-ds/Options.lb
===================================================================
--- src/mainboard/asus/p2b-ds/Options.lb	(revision 4034)
+++ src/mainboard/asus/p2b-ds/Options.lb	(working copy)
@@ -19,6 +19,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -103,4 +104,9 @@
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/mew-vm/Options.lb
===================================================================
--- src/mainboard/asus/mew-vm/Options.lb	(revision 4034)
+++ src/mainboard/asus/mew-vm/Options.lb	(working copy)
@@ -1,4 +1,5 @@
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -156,5 +157,10 @@
 default  MAXIMUM_CONSOLE_LOGLEVEL=9
 
 default CONFIG_UDELAY_TSC=1
+
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
-
Index: src/mainboard/asus/a8n_e/Options.lb
===================================================================
--- src/mainboard/asus/a8n_e/Options.lb	(revision 4034)
+++ src/mainboard/asus/a8n_e/Options.lb	(working copy)
@@ -20,6 +20,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses USE_FAILOVER_IMAGE
@@ -167,4 +168,9 @@
 default MAXIMUM_CONSOLE_LOGLEVEL = 8
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL = "MAINBOARD_POWER_ON"
 
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/mainboard/asus/m2v-mx_se/Options.lb
===================================================================
--- src/mainboard/asus/m2v-mx_se/Options.lb	(revision 4034)
+++ src/mainboard/asus/m2v-mx_se/Options.lb	(working copy)
@@ -18,6 +18,7 @@
 ##
 
 uses HAVE_MP_TABLE
+uses CONFIG_ROMFS
 uses HAVE_PIRQ_TABLE
 uses USE_FALLBACK_IMAGE
 uses HAVE_FALLBACK_BOOT
@@ -175,4 +176,9 @@
 default DEFAULT_CONSOLE_LOGLEVEL = 9
 default MAXIMUM_CONSOLE_LOGLEVEL = 9
 default MAINBOARD_POWER_ON_AFTER_POWER_FAIL = "MAINBOARD_POWER_ON"
+#
+# ROMFS
+#
+#
+default CONFIG_ROMFS=0
 end
Index: src/config/Options.lb
===================================================================
--- src/config/Options.lb	(revision 4034)
+++ src/config/Options.lb	(working copy)
@@ -679,6 +679,11 @@
 	export always
 	comment "Enable FAT filesystem support"
 end
+define CONFIG_ROMFS
+	default 0
+	export always
+	comment "The new ROMFS file system"
+end
 define AUTOBOOT_DELAY
 	default 2
 	export always
